C Calculates the lattice parameter of enriched austenite, after a
C degree of transformation to ferrite.
C
      SUBROUTINE MAP_STEEL_PARAM(AGTX,AGT,AAT,VA,XBAR,XALPHA,XG,EXG,
     &T,AV,RTEMP)
C
      IMPLICIT NONE                            
      DOUBLE PRECISION AGTX,AGT,AAT,VA,XBAR,XALPHA,XG,EXG,T,AGES,
     &                 RHOA,RHOG,RTEMP,AV
      INTEGER I
C
C  Guess a value AGES of AGTX and then iterate   
C
      AGTX = AGT
      AGES = AGTX
      I    = 1    
 100  IF(I .EQ. 1) GOTO 110
      AGES = AGTX
C
C Make the approximation that density Rho depends
C   only on atomic wt. of iron
C   See p.58, Oak Ridge Book
C
C Calculate densities from the unit cell dimensions for ferrite and austenite
C
  110 RHOA = 55.847*2.0/(AV*AAT*AAT*AAT*1.0D-30)
      RHOG = 55.847*4.0/(AV*AGTX*AGTX*AGTX*1.0D-30)
      XG   = (VA*RHOA*(XBAR-XALPHA) + XBAR*RHOG*(1.0-VA))
     &                   /((1.0-VA)*RHOG)
C
C calculate new value of enriched austenite lattice parameter 
C
      AGTX = AGT + 0.033*(XG-XBAR)*(1.0D0 + (T-RTEMP)*EXG) 
      I    = 2 
      IF ( (AGTX/AGES) .GT. 1.0001D0 .OR. 
     &     (AGTX/AGES) .LT. 0.9999D0) GOTO 100
      RETURN
      END
